Page MenuHomePhabricator

[clang-tidy][NFC] Remove unnecessary includes throughout clang-tidy header files
ClosedPublic

Authored by njames93 on Jun 26 2020, 8:21 AM.

Diff Detail

Event Timeline

njames93 created this revision.Jun 26 2020, 8:21 AM
njames93 retitled this revision from [clang-tidy] Remove unnecessary includes throughout clang-tidy header files to [clang-tidy][NFC} Remove unnecessary includes throughout clang-tidy header files.Jun 26 2020, 9:56 AM

I think will be good idea to run Include What You Use.

njames93 updated this revision to Diff 273792.Jun 26 2020, 11:27 AM

Fix some issues with tests

dexonsmith requested changes to this revision.Jun 26 2020, 3:08 PM

Plus replacing a few std::map<string,...> with llvm::StringMap

That doesn't sound NFC since it changes ordering semantics. It seems to me like it should be done separately from the rest of the patch.

It would be nice to split up the rest of the patch too; besides simplifying review, if you leave the #include removals for a final commit it'll be easier to revert if/where necessary.

This revision now requires changes to proceed.Jun 26 2020, 3:08 PM
njames93 retitled this revision from [clang-tidy][NFC} Remove unnecessary includes throughout clang-tidy header files to [clang-tidy][NFC] Remove unnecessary includes throughout clang-tidy header files.Jun 27 2020, 2:52 AM
njames93 edited the summary of this revision. (Show Details)
njames93 updated this revision to Diff 273894.Jun 27 2020, 2:52 AM
njames93 retitled this revision from [clang-tidy][NFC] Remove unnecessary includes throughout clang-tidy header files to [clang-tidy][NFC} Remove unnecessary includes throughout clang-tidy header files.
njames93 edited the summary of this revision. (Show Details)

Remove the changes to std::map<std::string, ...> -> llvm::StringMap<...>

njames93 retitled this revision from [clang-tidy][NFC} Remove unnecessary includes throughout clang-tidy header files to [clang-tidy][NFC] Remove unnecessary includes throughout clang-tidy header files.Jun 27 2020, 2:54 AM
njames93 edited the summary of this revision. (Show Details)
aaron.ballman accepted this revision.Jun 29 2020, 4:12 AM

LGTM, though I think this should be landed in two commits (one for the headers, one for the tests).

clang-tools-extra/test/clang-tidy/checkers/google-module.cpp
4 ↗(On Diff #273894)

I feel like these testing changes, while NFC, should be landed in a separate patch as they don't have anything to do with the header file changes, right?

njames93 marked an inline comment as done.Jun 29 2020, 7:44 AM
njames93 added inline comments.
clang-tools-extra/test/clang-tidy/checkers/google-module.cpp
4 ↗(On Diff #273894)

You're absolutely right I must've forgot to remove them when I removed the other change

njames93 updated this revision to Diff 274129.Jun 29 2020, 8:04 AM

Remove unnecessary test changes

This revision was not accepted when it landed; it landed in state Needs Review.Jun 29 2020, 8:06 AM
This revision was automatically updated to reflect the committed changes.